'use strict';
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

// 问卷回答
class AnswerService extends CrudService {
  constructor(ctx) {
    super(ctx, 'answer');
    this.model = this.ctx.model.Answer;
  }

  async findOne({ questionnaire_id, user_id }) {
    assert(questionnaire_id, '缺少问卷信息');
    assert(user_id, '缺少填写人信息');
    const res = await this.model.findOne({ questionnaire_id, user_id });
    return res;
  }
}

module.exports = AnswerService;
