'use strict';
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

// 问卷
class QuestionnaireService extends CrudService {
  constructor(ctx) {
    super(ctx, 'questionnaire');
    this.model = this.ctx.model.Questionnaire;
    this.question = this.ctx.service.question;
  }
  async fetch({ id }) {
    const data = await this.model.findById(id, '+questions');
    if (!data) throw new BusinessError(ErrorCode.DATA_NOT_EXIST, '未找到指定问卷!');
    const obj = data.questions;
    if (obj.every(e => _.isObject(e))) return data;
    const questions = await this.question.getQuestions(obj);
    data.questions = questions;
    return data;
  }
}

module.exports = QuestionnaireService;
